cdac.medinfo.sdk.hl7282.baselibs

## Class TX

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.PrimitiveDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.TX

- All Implemented Interfaces:
    IDataType

      public class TX
      extends PrimitiveDataType

  TX - Text data

  This data type meant for user display (on a terminal or printer). Such data would not necessarily be left justified since leading spaces may contribute greatly to the clarity of the presentation to the user.

  This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TX()` Constructor for TX class.
    `TX(int iMinLength, int iMaxLength, java.lang.String strCLength)` Constructor for TX class which takes three argument and sets the value in the respective member variable.
    `TX(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo)` Constructor for TX class which takes four arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.PrimitiveDataType

      `copy, getDataTypeName, getICLength, getIMaxLength, getIMinLength, getLength, getValue, isPrimitive, read, setICLength, setIMaxLength, setIMinLength, setValue, toString, validate, write`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TX

          public TX()

      Constructor for TX class.

    - #### TX

          public TX(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength)

      Constructor for TX class which takes three argument and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.

    - #### TX

          public TX(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo)

      Constructor for TX class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.